import { combineReducers } from "redux";
import courseReducer from "./courseReducer";
import authorReducer from "./authorReducer";
import ajaxStatusReducer from "./ajaxStatusReducer";
import systemReducer from "../../features/system/reducer";
import sessionsReducer from "../../features/session/reducer";

const rootReducer = combineReducers({
  system: systemReducer,
  sessions: sessionsReducer,
  courses: courseReducer,
  authors: authorReducer,
  ajaxCallsInProgress: ajaxStatusReducer
});

export default rootReducer;
